Page 24 of 26

Re: Help VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Mon Aug 26, 2019 10:13 am
by mahmoud123
hello im Beginner and I couldn't knowhow to install this script on my control panel , can you help me , Add a quick video or even some pictures , Or even help me with anything , because i need this script

Re: Help VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Aug 30, 2019 3:33 am
by sysdop
mahmoud123 wrote:
Mon Aug 26, 2019 10:13 am
hello im Beginner and I couldn't knowhow to install this script on my control panel , can you help me , Add a quick video or even some pictures , Or even help me with anything , because i need this script

If you use native nginx with php-fpm it is not compatible for you, I am working on a multiphp for native nginx and php-fpm but it will not be ready for a while.

For now, you need to update PHP by console or switch to using apache with nginx.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sat Sep 07, 2019 12:55 pm
by AmiGator
skamasle wrote:
Tue Aug 20, 2019 5:26 pm
AmiGator wrote:
Sun Aug 18, 2019 3:00 pm
I have updated the default php to version 7.2. Everything works fine, but when I install with this script php 5.4 and restart httpd, I get the error "/bin/bash: line 1: 4832 Segmentation fault /usr/sbin/httpd". I delete php54* and again everything works :-(
P.S. CentOS 6
Hi

Maybe some module cause segmentation fault,

Try install php54 manually without modules like opcache and check if issue persists
Looks like a solution has been found. I installed everything except php54-php and the error was gone. It's definitely him, though I don't know what php54-php doing... This solution also works on php56

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sat Oct 12, 2019 8:06 am
by CristianD
Hello guys,

Dose this work any more ?

I made this instalation long time ago was all ok, i made now a new instalation on a new vesta, my httpd dies and not able to start it again.

Installed only php56

VestaCP with apache, no nginx ... on centos 6

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Mon Oct 14, 2019 1:17 pm
by Phogo
CristianD wrote:
Sat Oct 12, 2019 8:06 am
Hello guys,

Dose this work any more ?

I made this instalation long time ago was all ok, i made now a new instalation on a new vesta, my httpd dies and not able to start it again.

Installed only php56

VestaCP with apache, no nginx ... on centos 6
Is there any reason you are using centos 6 for a new server? Centos 8 has just been released.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Nov 08, 2019 5:39 am
by taicv
head wrote:
Wed Mar 22, 2017 5:23 am
Just tried on my server and it set php from 7.0 to 5.5.6 as default.
How to fix that and revert 7 to default and rest optional?
I need 5.5 only for one site.

UPDATE (solution?):
check your /etc/httpd/conf.modules.d dir and remove (backup somewhere for sure)
php-related conf files except ones related to version you need by default.
For example - i removed 10-php55-php.conf and 10-php56-php.conf.
Files 15-php70-php.conf and 15-php.conf still there and now i have default php7.

Please someone confirm my information.
It works!
Thank you so much

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Dec 06, 2019 4:53 am
by laguaz
Today I tested this script on a fresh installation of CentOS 7 64-bit minimal on VirtualBox with VestaCP latest version. The script runs smoothly and installed php55, php56 and php70 for me.

Now, the question is: where are those php.ini files respectively? I want to modify some PHP configuration such as max upload size.

Thank you.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Tue Dec 17, 2019 7:52 pm
by skamasle
You can find PHP.ini in /etc is a symbolink link to each php version

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Sun Jan 12, 2020 10:52 pm
by shonir
i need help


i have posted topic but got no response viewtopic.php?f=11&p=80634#p80634

due to i need to sort out this issue asap thats why posting here my problem


i am new in vestacp move from cpanel. i recently installed vestacp (CentOS+Apache+Nginx) on my VPS. everything is working fine. vestacp given me by default php7.4 and its nice. one of my website required php 5.6 so i choose php selector and installed. after the installation my all websites moved to php5.6 and bu default now php version is 5.6 but when i run command in ssh php -v its show me php 7.4. my phpmyadmin is dead because its required atleast php 7.1 and roundcube also dead because of php old version.

i want to keep php 7.4 as default version and 5.6 for some website when i required. i created package with different php version but still getting same php 5 version.

i reinstall all version of php but no luck now showing version php 5.4.

i think its automatically picking oldest version first. because when i delete php.5.4 its start showing php.5.6 after remove 5.6 its start showing next version 7.0

i dont how to fix it. i research alo on google and read existing topic on vestacp.com but no solution found.

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Jan 22, 2020 8:17 pm
by skamasle
You first upgrade php 7.4 manually and then run this script ?

If yes,this can break phpmyadmin, this topic have similar issue some time a go

You always need leave your default php version and then install aditional

You always can try remove all php verions and start from 0 if you know what you do, so you can leave default php version of centos and then add remi repos and install orther versions